.inputText__container {
  width: 100%;
  padding: 1rem 0;
}

.inputText__label {
  width: fit-content;
  margin-left: 0.4em;
  padding: 0.2em 0.4em;
  display: flex;
  flex-direction: column;
  border-radius: 2px;
  font-size: 1.05rem;
  font-weight: bold;
  color: var(--clr-text);
  background-color: var(--clr-basic-brown);
  transition: all 200ms linear;
  transform: translateY(6px);
}

.inputText__input {
  height: 2.65rem;
  width: inherit;
  padding: 0.2em 0.8em 0 0.8em;
  border: none;
  border-radius: 2px;
  font-size: 1.2rem;
  background-color: white;
}

.inputText__input:focus {
  outline: 2px solid var(--clr-dark-brown);
}

.inputText__container:focus-within .inputText__label {
  background-color: var(--clr-dark-brown);
}

.inputText__error--shown,
.inputText__error--hidden {
  margin: 0;
  padding: 0.2em 0;
  color: var(--clr-red-accent);
  transition: all 20ms linear;
}

.inputText__error--shown {
  font-size: 1em;
}

.inputText__error--hidden {
  font-size: 0em;
}
